
plugins {
	application
	id("com.gradleup.shadow") version "8.3.6"
	eclipse
}

repositories {
	mavenCentral()
}

dependencies {
	implementation("io.netty:netty-all:4.0.23.Final")
}

java {
	toolchain {
		languageVersion = JavaLanguageVersion.of(21)
	}
}

application {
	mainClass = "proxy.Proxy"
	tasks.run.get().workingDir = rootProject.file("dev/proxy")
	tasks.run.get().workingDir.mkdirs()
	tasks.run.get().standardInput = System.`in`
}

tasks.shadowJar {
	destinationDirectory = rootProject.file("dev")
	archiveFileName = "vloginproxy.jar"
}
